API Explorer 935 endpoints

Get Active Rate Limits (Current)

GET /obp/v7.0.0/management/consumers/CONSUMER_ID/active-rate-limits

OBPv6.0.0-getActiveRateLimitsNow Roles: CanGetRateLimits Consumer

Get the active rate limits for a consumer at the current date/time. Returns the aggregated rate limits from all active records at this moment.

A value of 0 means the consumer is blocked for that period, -1 means unlimited, and a consumer with no records shows the system defaults.

This is a convenience endpoint that uses the current date/time automatically.

See here for more details on how rate limiting works.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (8)
active_at_date
active_at_date
active_per_day_rate_limit
active_per_day_rate_limit
active_per_hour_rate_limit
active_per_hour_rate_limit
active_per_minute_rate_limit
active_per_minute_rate_limit
active_per_month_rate_limit
active_per_month_rate_limit
active_per_second_rate_limit
active_per_second_rate_limit
active_per_week_rate_limit
active_per_week_rate_limit
considered_rate_limit_ids
considered_rate_limit_ids
Example success response
{
  "considered_rate_limit_ids": [
    "80e1e0b2-d8bf-4f85-a579-e69ef36e3305"
  ],
  "active_at_date": "1100-01-01T00:00:00Z",
  "active_per_second_rate_limit": 100,
  "active_per_minute_rate_limit": 1000,
  "active_per_hour_rate_limit": -1,
  "active_per_day_rate_limit": -1,
  "active_per_week_rate_limit": -1,
  "active_per_month_rate_limit": -1
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20014: Invalid Consumer ID. Please specify a valid value for CONSUMER_ID.
  • OBP-30019: Consumer not found. Please specify a valid value for CONSUMER_ID.
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getActiveRateLimitsNow Originally /obp/v6.0.0/management/consumers/CONSUMER_ID/active-rate-limits